GuideLab Docs

List a clinic patient's scanner sessions

GET
/scanner-connections/scans

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Query Parameters

patientId*string
Length1 <= length
orderId?string
Length1 <= length
treatmentPhaseId?string
cursor?string
Lengthlength <= 8192
history?"true"

Value in

  • "true"

Response Body

application/json

curl -X GET "https://example.com/scanner-connections/scans?patientId=string"
{  "sessions": [    {      "id": "string",      "sourceId": "stringstringstringstringstringstringstringstringstringstringstri",      "revision": "string",      "connectionId": "string",      "connectionName": "string",      "scannerType": "3shape",      "providerReference": {        "kind": "case",        "caseId": "string",        "orderId": "string",        "rxId": "string",        "regionId": 1      },      "caseNumber": "string",      "patientName": "string",      "scannedAt": "2019-08-24T14:15:22Z",      "completed": true,      "matchedPatientId": "string",      "confidence": 0,      "autoAttachAllowed": true,      "history": true,      "files": [        {          "id": "string",          "name": "string",          "mimeType": "string",          "size": 0,          "kind": "upper"        }      ]    }  ],  "nextCursor": "string",  "complete": true,  "autoAttachSessionId": "string",  "health": [    {      "connectionId": "string",      "status": "ready"    }  ]}
Empty
Empty
Empty
Empty
Empty